SSS_SSH_AUTHORIZEDKE(1)

NAME
sss_ssh_authorizedkeys - holt autorisierte OpenSSH-Schlüssel

SYNOPSIS

sss_ssh_authorizedkeys [Optionen] BENUTZER

BESCHREIBUNG

sss_ssh_authorizedkeys beschafft öffentliche SSH-Schlüssel für den Anwender BENUTZER und gibt sie im OpenSSH-Format »authorized_keys« aus (weitere Informationen finden Sie im Abschnitt »AUTHORIZED_KEYS-DATEIFORMAT« von sshd(8)).

sshd(8) kann so konfiguriert werden, dass es sss_ssh_authorizedkeys zur Authentifizierung mit öffentlichen Schlüsseln benutzt, falls es entweder mit Unterstützung für die Optionen »AuthorizedKeysCommand« oder »PubkeyAgent« der sshd_config(5) kompiliert wurde.

If “AuthorizedKeysCommand” is supported, sshd(8) can be configured to use it by putting the following directives in sshd_config(5):

      AuthorizedKeysCommand /usr/bin/sss_ssh_authorizedkeys
      AuthorizedKeysCommandUser nobody

Falls »PubkeyAgent« unterstützt wird, kann sshd(8) durch Setzen der folgenden Richtlinie in sshd_config(5) zu seiner Verwendung konfiguriert werden:

    PubKeyAgent /usr/bin/sss_ssh_authorizedkeys %u

OPTIONEN

-d,--domain DOMAIN
    sucht nach öffentlichen Schlüsseln von Benutzern in der SSSD-Domain DOMAIN.

-?,--help
    zeigt den Hilfetext und beendet sich.

EXIT-STATUS

Im Erfolgsfall ist der Rückgabewert 0, andernfalls wird 1 zurückgegeben.

SIEHE AUCH

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-sudo(5),sss_cache(8), sss_debuglevel(8), sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8),sssd-ifp(5),pam_sss(8). sss_rpcidmapd(5)

AUTHORS

Die SSSD-Originalautoren – http://fedorahosted.org/sssd